Skip to main content

Welcome

Tideblaze adopts the OpenAI REST API shape and conventions, with a Tideblaze base URL and authentication.

Tideblaze OpenAPI Spec

View the OpenAPI specification file

Base URL

All API requests are made against:
https://api.tideblaze.com

Authentication

All /v1/* API endpoints are authenticated using Bearer tokens as defined in the OpenAPI specification. The /health endpoint is public.
"security": [
  {
    "bearerAuth": []
  }
]

Implemented Endpoints

  • GET /health
  • GET /v1/models
  • GET /v1/deployments
  • GET /v1/deployments/{deployment_id}
  • POST /v1/deployments/{deployment_id}/chat/completions (supports stream=true via SSE)
  • POST /v1/chat/completions (supports stream=true via SSE)
  • POST /v1/completions (stream=true returns 400 in mock mode)

Supported General Models

  • blaze-1-heavy
  • blaze-1-standard
  • blaze-1-lite